
QGIS Application - Bug report #10357

The Tool "Merge Selected Features" makes QGIS crash

2014-05-26 06:22 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 18778

Description

Open a layer

Start editing

Select some features and press "Merge Attributes of Selected Features" tool.

QGIS crashes!

And so does "Merge Attributes of Selected Features" tool.

Associated revisions

Revision 37c1cad1 - 2014-05-27 07:06 PM - Matthias Kuhn

Make sure a widget is initialized when creating a widget wrapper

Fix #10357

History

#1 - 2014-05-26 06:29 AM - Giovanni Manghi

- OS version deleted (seven)

- Operating System deleted (windows)

confirmed on linux

giovanni@sibirica ~/site $ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QGraphicsScene::addItem: item has already been added to this scene

breaking!

breaking!

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fa7737fe700 (LWP 18460)]

[New Thread 0x7fa7e5748700 (LWP 18441)]

[New Thread 0x7fa7e6061700 (LWP 18440)]

0x00007fa8017fdccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7fa808ae07c0 (LWP 18439))]

#0  0x00007fa8017fdccd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000004f3b30 in qgisCrash(int) ()

No symbol table info available.
#2  <signal handler called>

No symbol table info available.

#3  0x00007fa803c045c1 in QTextEdit::setPlainText(QString const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#4  0x00007fa804e2c69b in QgsTextEditWidget::setValue(QVariant const&) () from /usr/lib/libqgis_gui.so.2.3.0

No symbol table info available.

#5  0x00007fa804e51ef3 in QgsAttributeEditor::createAttributeEditor(QWidget*, QWidget*, QgsVectorLayer*, int, QVariant const&,

QgsAttributeEditorContext&) () from /usr/lib/libqgis_gui.so.2.3.0

No symbol table info available.

#6  0x00007fa804e52141 in QgsAttributeEditor::createAttributeEditor(QWidget*, QWidget*, QgsVectorLayer*, int, QVariant const&) () from

/usr/lib/libqgis_gui.so.2.3.0

No symbol table info available.

#7  0x0000000000662616 in QgsMergeAttributesDialog::createTableWidgetContents() ()

No symbol table info available.

#8  0x0000000000662b01 in QgsMergeAttributesDialog::QgsMergeAttributesDialog(QList<QgsFeature> const&, QgsVectorLayer*, QgsMapCanvas*,

QWidget*, QFlags<Qt::WindowType>) ()

No symbol table info available.

#9  0x000000000051db13 in QgisApp::mergeSelectedFeatures() ()

No symbol table info available.

#10 0x00000000007f48ea in ?? ()

No symbol table info available.

#11 0x00007fa804419281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#12 0x00007fa803781132 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007fa80378131f in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007fa803b56d8a in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007fa803b5703c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007fa803c1461a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007fa8037d8144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007fa803787894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007fa80378d0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fa80548a4d6 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.3.0

No symbol table info available.

#21 0x00007fa804404e9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#22 0x00007fa803788862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&,

bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#23 0x00007fa803807c35 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#24 0x00007fa803806bee in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#25 0x00007fa803830112 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007fa8002a0d13 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.

#27 0x00007fa8002a1060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#28 0x00007fa8002a1124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#29 0x00007fa8044343bf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#30 0x00007fa80382fd9e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#31 0x00007fa804403c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#32 0x00007fa804403ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#33 0x00007fa804408f67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#34 0x00000000004ee1c1 in main ()

No symbol table info available.

gdb returned 0

Aborted (core dumped)

#2 - 2014-05-27 10:07 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"37c1cad11a3d8a65ec1984a4229f725a000b8e96".

2025-12-22 3/3


